Jump to content
MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. ×

Reminder: Firefox 52 ESR Is EOL Since September 5 2018


i430VX
 Share

Recommended Posts

Firefox 52 ESR has reached End-Of-Life on September 5th 2018. Users on Windows 7+ can migrate to Firefox 60 ESR, However Vista and XP users are left in the dust. I Personally would recommend XP & Vista Users use one of rotyam1's web browsers if they aren't already:

His Main builds being New Moon, a fork of pale moon, and Basilisk, a more Firefox-like browser. He also has a K-Meleon Goanna build

 

However, they appear to have moved the date again, and have made yet another discrepancy. Here you can see 5 September 2018:

21 August 2018 appears to be their final decision.

they're back to 5 sep, lol

release-overview.d8ca18efe06f.png

https://support.mozilla.org/en-US/kb/end-support-windows-xp-and-vista

The final version, 52.9, Was released on 26 June.

https://bugzilla.mozilla.org/show_bug.cgi?id=1319164

Edited by i430VX
Link to comment
Share on other sites

  • i430VX changed the title to Reminder: Firefox 52 ESR Goes EOL August (Maybe September) 2018

Updated to reflect the fact that he has more than one build. Silly me. It was too late at night when I put this together.

;)

Edited by i430VX
Link to comment
Share on other sites

  • i430VX changed the title to Reminder: Firefox 52 ESR Goes EOL September 5 2018

I'm wondering this change also affects users on SeaMonkey and any Mozilla products that use the Gecko 52 codebase? :(

On Seamonkey 2.49.4, I have Adblock Plus 2.9.1, Chatzilla, 0.9.93, Download Statusbar 0.9.7.2, Google Reversi Image Search 55.0, Overbite FF 3.1.1696, Preserve Download Modification Timestamp 2013.05.11.19b and User Agent Switcher 0.73.1.

How am I going to find these legacy extensions for anyone who has been stuck using Firefox 12/10.0.12 ESR on Windows 2000, Firefox 2.0.0.20 on Windows NT4/98/Me as well as Firefox 1.5.12 on Windows 95/NT 3.51?

Link to comment
Share on other sites

5 hours ago, ppgrainbow said:

I'm wondering this change also affects users on SeaMonkey and any Mozilla products that use the Gecko 52 codebase? :(

Seamonkey I know will be discontinued for xp/vista. Other mozilla browsers? probably.

Quote

How am I going to find these legacy extensions for anyone who has been stuck using Firefox 12/10.0.12 ESR on Windows 2000, Firefox 2.0.0.20 on Windows NT4/98/Me as well as Firefox 1.5.12 on Windows 95/NT 3.51?

keep your eye on this:
https://github.com/JustOff/ca-archive

Link to comment
Share on other sites

5 hours ago, i430VX said:

Seamonkey I know will be discontinued for xp/vista. Other mozilla browsers? probably.

keep your eye on this:
https://github.com/JustOff/ca-archive

As far as I know, SeaMonkey will also be discontinued for Windows Server 2008 as well since Server 2K8 is based on the Windows Vista codebase. Developers have changed the add-ons locations from mozilla.org to addons.thunderbird.net in the SeaMonkey 2.60 branch...that is if developers get a major release, because Gecko 52 is approaching end of life soon. Thunderbird and SeaMonkey has no plans to switch to the WebExtensions API anytime soon.

I will keep an eye out for any updates to this extension. I'm pretty lucky to download all of the old extensions for Firefox 12 and SeaMonkey 2.9.1 on Windows 2000.

Edited by ppgrainbow
Link to comment
Share on other sites

I'd personally recommend the K-Meleon Goanna builds as the most likely to work with XP/Vista since they use native Win32 stuff for the UX, unlike both Pale Moon and Basilisk. I also want to see ChatZilla and some other plugins be ported to KM :)

That said, I'm sad to see 52 ESR go away. It will mean a lot of the less technically inclined XP/Vista users now will throw out their old hardware after it goes EOL.

All distros of Linux except Debian 9 LXDE runs absolutely appallingly on my netbook, so it's XP or nothing.

Edited by SRainharp
  • Like 1
Link to comment
Share on other sites

I've already uninstalled it and started using roytam1's FireFox (Nightly) 45ESR SSE build, because I was looking for tracking protection without using any addons (Options -> Advanced -> General - Select  [Use TenFourFox AdBlock] seeing it isn't available with Basilisk.

Between that and New Moon.. I'm good to go :)

Link to comment
Share on other sites

  • 2 weeks later...

Well, Here we are. Wednesday, 5 September 2018.

Support has ended for the very last mainstream browser supporting XP/Vista.  :(

The EOL article on Mozilla.org was updated to reflect this.

The only option to receive browser security fixes and updates is to use RoyTam1's browsers.

 

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

  • Recently Browsing   0 members

    No registered users viewing this page.


×
×
  • Create New...